Sourced
llms.txt
View Markdown

Artifacts ยท version 0.1.0

List shared docs-preview links for a run

GET/api/runs/{runId}/docs-preview/share

Returns active Sourced-hosted, noindex docs-preview share links created for the run.

Request

cURL
curl -X GET 'https://sourced.sh/api/runs/{runId}/docs-preview/share' \
  -H 'Authorization: Bearer $SOURCED_API_KEY'
TypeScript
const response = await fetch("https://sourced.sh/api/runs/{runId}/docs-preview/share", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.SOURCED_API_KEY}`,
  },
});
const data = await response.json();
Python
import os
import requests

response = requests.request(
    "GET",
    "https://sourced.sh/api/runs/{runId}/docs-preview/share",
    headers={"Authorization": f"Bearer {os.environ['SOURCED_API_KEY']}"},
)

data = response.json()

Parameters

Path parameters

NameTypeRequiredDescription
runIdstringYesRun identifier.

Responses

200

Active docs-preview share links.

application/json

Schema
type: object
required: run, shares
properties:
  run (required): Run
    Run:
      type: object
      required: id, projectId, status, createdAt
      properties:
        id (required): string
        orgId: string
        projectId (required): string
        createdByUserId: string
        status (required): string enum queued | running | blocked | complete | ready | failed | expired | canceled
        mode: string enum flagship | stainless_compatible | custom | openapi | stainless | stainless_migration | reference-sample
        verdict: string enum queued | generated | ready | needs_review | not_ready | needs_worker | needs_setup | failed | canceled
        createdAt (required): string
        completedAt: string
        steps: array
          type: array
        inputSummary: object
        notes: string
        currentStep: string
        artifactManifest: ArtifactManifest
          ArtifactManifest:
            type: object
            properties:
              version: integer
              runId: string
              organizationId: string
              projectId: string
              quality: object
              artifacts: array
              expiresAt: string
        updatedAt: string
  shares (required): array
    type: array

401

403

404

Was this helpful?